<form name="deleteForm">
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="col-md-12 card pad20">
        <br/>
	        <div class="text-center"><h3 class="color-black">{{tagihan?.namaSiswa}}</h3></div>
	        <div class="text-center"><b><b>Nis :</b> {{tagihan?.nis}}</b></div>
	        
	        <br/>
	        <div class="row card pad30">
			<div class="row">
				<div class="col-md-12"  [formGroup]="editForm">
					<br/>
					<div class="row"><span><b>Jenis Tagihan</b></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;
						<input id="field_jenisPembayaran" type="text" class="width-input" name="jenisPembayaran" formControlName="jenisPembayaran" />
					</div><br/>
					<div class="row"><span><b>Nominal Tagihan</b></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;
						<input id="field_nominalPembayaran" type="text" class="width-input" name="nominalPembayaran" formControlName="nominalPembayaran" />
					</div><br/>
					<div class="row" *jhiHasAnyAuthority="['ROLE_TU']"><span><b>Yang Harus Dibayar</b></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;
						<input id="field_harusBayar" type="text" class="width-input" name="harusBayar" formControlName="harusBayar" />
					</div><br/>
					<div class="row"><span><b>Kelas - Th.Ajaran</b></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;
						<input id="field_kelsaAjaran" type="text" class="width-input" name="kelsaAjaran" formControlName="kelsaAjaran" />
					</div><br/>
					<div class="row" *jhiHasAnyAuthority="['ROLE_TU']"><span><b>Cara Pembayaran</b></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;
			        	<select class="input-group-text" id="field_options" name="options" (ngModelChange)="optionSearch()" formControlName="pOptions">
			                <option value="TUNAI" *jhiHasAnyAuthority="['ROLE_TU']">Tunai&nbsp;&nbsp;</option>
			                <option value="TRANSFER">Transfer&nbsp;&nbsp;</option>
			            </select>&nbsp;&nbsp;
			            <select class="input-group-text" id="field_caraBayar" name="caraBayar" formControlName="caraBayar">
			                <option value="CASH">Cash&nbsp;</option>
			                <option value="ANGSURAN" *ngIf="tagihan?.metodeBayar == 'ANGSURAN'">Angsur</option>
			            </select>
					</div><br/>
					<div *ngIf="tagihan?.metodeBayar == 'ANGSURAN'">
						<div class="row">
							<span><b>Jumlah Bayar</b></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;
							<input id="field_jmlBayar" type="text" class="width-input" name="jmlBayar" formControlName="jmlBayar" (ngModelChange)="sisa()"/>
						</div>
						<br/>
						<div class="row">
							<span><b>Sisa Tagihan</b></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:&nbsp;&nbsp;&nbsp;
							<input id="field_sisaTagihan" type="text" class="width-input" name="sisaTagihan" formControlName="sisaTagihan"/>
						</div>
					</div>
					<div  *ngIf="searchOption !== 'TUNAI'" class="text-center">
					<!-- <div><p class="modal-title text-center">Silahkan pilih akun berikut untuk membayar tagihan anda :</p></div><br/>
					<div class="row btn-group">
							<img src="/content/images/bca.png" style="height: 40px;width: 100px;" alt="photo"/>
							<button  type="button" class="btn btn-default" (click)="transfer('VA_BCA')">
								<fa-icon [icon]="['fas', 'angle-right']"></fa-icon>
							</button>
					</div><hr/>
					<div class="row btn-group">
						<img src="/content/images/niaga.png" style="height: 40px;width: 100px;" alt="photo"/>
						<button class="btn btn-default" (click)="transfer('VA_CIMB')">
							<fa-icon [icon]="['fas', 'angle-right']"></fa-icon>
						</button>
					</div><hr/>
					<div class="row btn-group">
						<img src="/content/images/permata.png" style="height: 40px;width: 100px;" alt="photo"/>
						<button class="btn btn-default" (click)="transfer('VA_PERMATA')">
							<fa-icon [icon]="['fas', 'angle-right']"></fa-icon>
						</button>
					</div><hr/>
					<div class="row btn-group">
						<img src="/content/images/muamalat.png" style="height: 40px;width: 100px;" alt="photo"/>
						<button class="btn btn-default" (click)="transfer('VA_MUAMALAT')">
							<fa-icon [icon]="['fas', 'angle-right']"></fa-icon>
						</button>
					</div><hr/>
					<div class="row btn-group">
						<img src="/content/images/finpay.png" style="height: 40px;width: 100px;" alt="photo"/>
						<button class="btn btn-default" (click)="transfer('VA_FINPAY')">
							<fa-icon [icon]="['fas', 'angle-right']"></fa-icon>
						</button>
					</div><hr/> -->
					
					<li ngbDropdown class="nav-item dropdown pointer" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
		                <a class="dropdown-toggle" ngbDropdownToggle id="entity-menu">
		                    <span>
		                    Silahkan pilih akun pembayaran
		                    </span>
		                </a>
		                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="entity-menu">
		                    <li>
				                <a class="dropdown-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }"  (click)="transfer('VA_BCA')">
									<img src="/content/images/bca.png" style="height: 40px;width: 100px;" alt="photo"/>
		                        </a>
		                    </li>
		                    <li>
		               			<a class="dropdown-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="transfer('VA_CIMB')">
									<img src="/content/images/niaga.png" style="height: 40px;width: 100px;" alt="photo"/>
								</a>
		                    </li>
		                    <li>
		                        <a class="dropdown-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="transfer('VA_PERMATA')">
									<img src="/content/images/permata.png" style="height: 40px;width: 100px;" alt="photo"/>
								</a>
		                    </li>
		                    <li>
				                <a class="dropdown-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="transfer('VA_MUAMALAT')">
									<img src="/content/images/muamalat.png" style="height: 40px;width: 100px;" alt="photo"/>
								</a>
		                    </li>
		                    <li>
		                    	<a class="dropdown-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="transfer('VA_FINPAY')">
									<img src="/content/images/finpay.png" style="height: 40px;width: 100px;" alt="photo"/>
								</a>
		                    </li>
		                </ul>
		            </li>
					</div>
					<div>
			            <select class="input-group-text" id="field_caraBayar" name="caraBayar" formControlName="caraBayar">
			                <option value="CASH" style="background-image:url(/content/images/finpay.png);"></option>
			                <option value="ANGSURAN"><img src="/content/images/finpay.png" style="height: 40px;width: 100px;" alt="photo"/></option>
			            </select>
					</div>
			</div>
			<br/>
	        </div>
	    <br/>
	    <div class="row form-group no-gutters justify-content-center" *ngIf="searchOption == 'TUNAI'">
		    <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
	            <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
	        </button>&nbsp;&nbsp;&nbsp;&nbsp;
	        <button id="jhi-confirm-delete-tagihan" type="button" class="btn btn-warning" (click)="save()">
	            <fa-icon [icon]="'times'"></fa-icon>&nbsp;<span>Proses</span>
	        </button>
	    </div>
	    <div class="row form-group no-gutters justify-content-center" *ngIf="searchOption !== 'TUNAI'">
		    <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
	            <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
	        </button>&nbsp;&nbsp;&nbsp;&nbsp;
	    </div>
	    <!-- <div class="row form-group no-gutters justify-content-center" *ngIf="searchOption !== 'TUNAI'">
		    <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
	            <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
	        </button>&nbsp;&nbsp;&nbsp;&nbsp;
	        <button id="jhi-confirm-delete-tagihan" type="button" class="btn btn-warning" (click)="prosesTransfer(tagihan)">
	            <fa-icon [icon]="'times'"></fa-icon>&nbsp;<span>Proses</span>
	        </button>
	    </div> -->
        </div>
    </div>
</form>
